#include <stdio.h>

#include "SDL_conf.h"

int main(int argc, char *argv[])
{
  static const char *tags[]={"foo","bar","baz","narf","poit","glarb",NULL};
  char buf[512]={'\0'};
  int n;
  void *xmlroot;

  fprintf(stderr,"SDL_conf test\n");
  if(SDL_ConfLoad("SDL_conftest",CONF_CREATE|CONF_AUTOSAVE)<0)
  {
    fprintf(stderr,"Could not create or load any config file!\n"
                   "SDL_conf's path setup may be incorrect:\n");
    SDL_DirPrint();
    return(1);
  }
  atexit(SDL_ConfClose);

  xmlroot=SDL_ConfSeekNext(NULL,"screen",1);
  if(xmlroot==NULL)
  {
    fprintf(stderr,"Couldn't seek to screen/\n");
    return(1);
  }

  SDL_ConfSetLong(xmlroot,"bpp",32);
  SDL_ConfSet(xmlroot,"opengl","(0,0)-(640,480)");

  fprintf(stderr,"screen:bpp    = %d\n",SDL_ConfGetLong(xmlroot,"bpp"));
  fprintf(stderr,"screen:opengl = %s\n",SDL_ConfGet(xmlroot,"opengl"));
/*
  for(n=0; n<512; n++)
  {
    int m;
    const char *v=tags[rand()%6];
    strcpy(buf,tags[rand()%6]);
    for(m=0; m<2; m++)
    {
      strcat(buf,"/");
      strcat(buf,tags[rand()%6]);
    }

    if(rand()%2)
    {
      strcat(buf,":");
      strcat(buf,tags[rand()%6]);
    }

    fprintf(stderr,"Setting %s = %s\n",buf,v);
    SDL_ConfVarSet(buf,v,1);
    if(strcmp(SDL_ConfVarGet(buf),v)!=0)
      fprintf(stderr,"Error!  %s != %s\n",SDL_ConfVarGet(buf),v);
  }*/

  return(0);
}
