#ifndef __SDL_DATADIR_H__
#define __SDL_DATADIR_H__

#include <SDL/begin_code.h>

#ifdef __cplusplus
extern "C" {
#endif/*__cplusplus*/

DECLSPEC char * SDLCALL SDL_DirData(const char *paths[], char *buf,
                                    const char *app, int maxlen, int mkdir);

DECLSPEC char * SDLCALL SDL_DirStatic(char *buf, const char *app, int maxlen);

DECLSPEC char * SDLCALL SDL_DirDynamic(char *buf, const char *app,
                                       int maxlen, int mkdir);

DECLSPEC void   SDLCALL SDL_DirPrint();
#ifdef __cplusplus
}
#endif/*__cplusplus*/

#include <SDL/close_code.h>

#endif/*__SDL_DATADIR_H__*/
